Textbooks for Pressbooks
===================

A plugin that extends Pressbooks for textbook authoring.

[Pressbooks](https://github.com/pressbooks/pressbooks) is a content management and 'one button publishing' system for books.

**Textbooks for Pressbooks** adds functionality to Pressbooks to make it easier to author textbooks as well. The features it currently offers are:

* Textbook Theme
* Optional tabbed content (page citations, revision history, book information)
* Extended Citation functionality
* TinyMCE textbook buttons (learning objectives, key terms, exercises)
* TinyMCE spell check
* Prominent admin buttons (Import, Plugin)
* Annotation functionality
* Download links to openly licensed textbooks, ready to remix.
* A remix 'eco-system' — Search and Import chapters from both local and remote instances of Pressbooks

Primary Use Case
------------
Textbooks have functional and styling considerations above and beyond regular books. Open textbooks are those that are licensed with a [creative commons license](http://creativecommons.org).
This plugin was built primarily to support the creation, remixing and distribution of open textbooks for the [open textbook project in BC](http://open.bccampus.ca/about-2/).

FAQ
------------

**What is an Open Textbook?**

Open Textbooks are open educational resources (OER); they are instructional resources created and shared in ways so that more people have access to them.
That’s a different model than traditionally-copyrighted materials.
OER are defined as “teaching, learning, and research resources that reside in the public domain or have been released under an intellectual property license that permits their free use and re-purposing by others” (Hewlett Foundation).

**How do you make a Textbook 'Open'?**

When creating Open Textbooks and other OERs, we feel it is best to adhere to the five Rs of open education as defined by David Wiley, which are:

1. Retain – i.e. no digital rights management restrictions (DRM), the content is yours to keep, whether you’re the author, instructor or student.
2. Reuse – you are free to use materials in a wide variety of ways without expressly asking permission of the copyright holder.
3. Revise – as an educator, you can adapt, adjust, or modify the content to suit specific purposes and make the materials more relevant to your students. This means making it available in a number of different formats and including source files, where possible.
4. Remix – you or your students can pull together a number of different resources to create something new.
5. Redistribute – you are free to share with others, so they can reuse, remix, improve upon, correct, review or otherwise enjoy your work.

Contributors
------------
* https://github.com/BCcampus/pressbooks-textbook/graphs/contributors

More Details
------------

See readme.txt for installation details
